#!/bin/bash
if [ -z $1 ]; then
	echo "Uzycie: $0 <sicezka>"
	exit 1
fi

#Wartosci domyslne
KOMP=
ROZ=
ZNAK=_

#Konfiguracja z pliku
[ -r ~/backup-konfiguracja ] && . ~/backup-konfiguracja

function zrob_archiwum() {
	#Zrob archiwum
	ARCH=$(echo $1 | tr / $ZNAK)

	echo "Tworze archiwum"
	tar -c${KOMP}f ~/$ARCH.tar$ROZ $1
}

if [ "$1" == -l ]; then
	polecenie=$(nc -l "$2")

	while [ "$polecenie" != KONIEC ]; do
        	zrob_archiwum $polecenie
      		polecenie=$(nc -l "$2")
	done

	exit 0
fi

#Jednorazowe wywolanie
if [ "$2" == -z ]; then
	KOMP=z
	ROZ=.gz
elif [ "$2" == -b ]; then
	KOMP=j
	ROZ=.bz2
fi

zrob_archiwum $1
